/*
 * $Header: /Pluto/Pluto2/src/local/X500/sd/RCS/sequence.h,v 1.6 90/04/26 10:36:48 emsrdsm Exp Locker: emsrdsm $
 */

/*
 * $Log:	sequence.h,v $
 * Revision 1.6  90/04/26  10:36:48  emsrdsm
 * *** empty log message ***
 * 
 * Revision 1.5  90/04/25  15:08:01  emsrdsm
 * i) lint'ed
 * 
 * Revision 1.4  90/04/20  17:58:11  emsrdsm
 * i) no more freeing
 * 
 * Revision 1.3  90/04/18  18:28:26  emsrdsm
 * fixed i) does not move to leaves
 *       ii) added default mechanism described using "typeDefaults" file.
 * 	 iii) added 'sorting' to attribute display
 * 
 * Revision 1.2  90/03/15  16:33:26  emsrdsm
 * *** empty log message ***
 * 
 * Revision 1.1  90/03/09  17:41:05  emsrdsm
 * Initial revision
 * 
 * Revision 1.1  90/03/09  13:38:54  emsrdsm
 * Initial revision
 * 
 */


/* This file contains code to implement the list storage facilities
 * in the modified widget program (renamed SD 5/1/90).
 */

/*    This file was written by Damanjit Mahl @ Brunel University
 *    on 31st October 1989 as part of the modifications made to 
 *    the Quipu X.500 widget interface written by Paul Sharpe
 *    at GEC Research, Hirst Research Centre.
 */

/*
 *                                NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#ifndef SEQ
#define SEQ

#include <strings.h>

#ifdef QUIPU_MALLOC

#else
extern char * malloc ();
extern char * smalloc ();
#endif

typedef struct d_seq{
       char *dname;
       unsigned strlen;
       int seq_num;
       struct d_seq *next;
} d_seq, *D_seq;

#define NULLDS ((D_seq) 0)
char * get_from_seq ();
#endif
